# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['rasax',
 'rasax.community',
 'rasax.community.api',
 'rasax.community.api.blueprints',
 'rasax.community.api.blueprints.conversations',
 'rasax.community.api.blueprints.core',
 'rasax.community.api.blueprints.nlu',
 'rasax.community.application.conversation',
 'rasax.community.caches',
 'rasax.community.database',
 'rasax.community.database.events',
 'rasax.community.database.schema_migrations',
 'rasax.community.database.schema_migrations.alembic',
 'rasax.community.database.schema_migrations.alembic.versions',
 'rasax.community.legacy',
 'rasax.community.legacy.core',
 'rasax.community.legacy.core.training_data',
 'rasax.community.legacy.core.training_data.story_reader',
 'rasax.community.legacy.core.training_data.story_writer',
 'rasax.community.legacy.importers',
 'rasax.community.legacy.nlu',
 'rasax.community.legacy.nlu.training_data',
 'rasax.community.legacy.nlu.training_data.formats',
 'rasax.community.legacy.nlu.training_data.schemas',
 'rasax.community.legacy.utils',
 'rasax.community.legacy.utils.schemas',
 'rasax.community.services',
 'rasax.community.services.event_consumers',
 'rasax.community.services.insights',
 'rasax.community.services.integrated_version_control',
 'rasax.community.utils',
 'rasax.enterprise',
 'rasax.enterprise.api',
 'rasax.enterprise.api.auth',
 'rasax.enterprise.api.blueprints']

package_data = \
{'': ['*'],
 'rasax.community': ['application/*',
                     'interface/*',
                     'interface/icons/*',
                     'interface/static/css/*',
                     'interface/static/js/*',
                     'interface/static/media/*']}

install_requires = \
['GitPython>=3.1.3,<4.0.0',
 'SQLAlchemy>=1.4.0,<2.0.0',
 'aiohttp>=3.6,<4.0',
 'aioredis>=2.0.0,<3.0.0',
 'alembic>=1.4,<1.5',
 'apscheduler>=3.6,<4.0',
 'attrs>=19.3,<20.0',
 'cached-property>=1.2.0,<2',
 'croniter>=1.0.1,<2.0.0',
 'cryptography>=3.0.0,<4.0.0',
 'isodate>=0.6,<0.7',
 'jsonpickle>=1.3,<2.1',
 'jsonschema>=3.2,<4.0',
 'kafka-python>=1.4,<3.0',
 'networkx>=2.4,<2.6',
 'packaging>=20.3,<21.0',
 'passlib>=1.7.4,<2.0.0',
 'pika>=1.1.0,<2.0.0',
 'psycopg2-binary>=2.8.2,<3.0.0',
 'pydot>=1.4,<1.5',
 'pykwalify>=1.7,<1.9',
 'python-dateutil>=2.8,<2.9',
 'python3-saml>=1.8,<2.0',
 'questionary>=1.5.1,<1.6.0',
 'requests>=2.23,<3.0',
 'ruamel.yaml>=0.16,<0.17',
 'sanic-cors>=2.0.0,<3.0.0',
 'sanic-jwt>=1.7.0,<1.8.0',
 'sanic>=21.12,<21.13',
 'sentry-sdk>=0.17.0,<1.4.0',
 'setuptools>=41.0.0',
 'tarsafe>=0.0.3,<0.0.4',
 'terminaltables>=3.1.0,<3.2.0',
 'tqdm>=4.31,<5.0',
 'ujson>=1.35,<2.0',
 'urllib3>=1.26.5,<2.0.0']

setup_kwargs = {
    'name': 'rasa-x',
    'version': '1.1.0.dev20220303',
    'description': 'Machine learning framework to automate text- and voice-based conversations: NLU, dialogue management, connect to Slack, Facebook, and more - Create chatbots and voice assistants',
    'long_description': '# Rasa X\n\nRasa X is a freely available, closed source project.\n',
    'author': 'Rasa Technologies GmbH',
    'author_email': 'hi@rasa.com',
    'maintainer': 'Tom Bocklisch',
    'maintainer_email': 'tom@rasa.com',
    'url': 'https://rasa.com',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'python_requires': '>=3.7,<3.9',
}


setup(**setup_kwargs)
